<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$tippre = new Tiposprecio;

switch($xaccion){
	
	case "adicionar": 
		if($tippre->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Tipo de precio creado satisfactoriamente.")
			parent.location.href="../tiposprecio.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($tippre->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Tipo de precio modificado satisfactoriamente.")
			parent.location.href="../tiposprecio.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->preciostipo($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{					
			if($tippre->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Tipo de precio eliminado satisfactoriamente.")
				parent.location.href="../tiposprecio.php";
				</script>			
				<?php
				
			}
		}					
		break;

	case "activar":
		if($tippre->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Tiposprecio{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"insert into precios_tipo (prctip_nombre, 
												  prctip_abreviatura,
												  prctip_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update precios_tipo set prctip_nombre = '$xnombres', 
												  prctip_abreviatura = '$xabreviatura',
												  prctip_usu_modifica = '$xusuario_sesion'
										where prctip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from precios_tipo where prctip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update precios_tipo set prctip_estado = '$xestado',
															prctip_usu_activa = '$xusuario_sesion' 
															where prctip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
